/******************************************************************************

                  版权所有 (C), 2019-2039, 深圳前海维晟智能技术有限公司

 ******************************************************************************
  文 件 名   : usr_adc.h
  版 本 号   : 初始版本
  作    者   : QingYang
  生成日期   : 2020年7月10日 星期五
  最近修改   :
  功能描述   : usr_adc.c 的头文件
  函数列表   :
  修改历史   :
  1.日    期   : 2020年7月10日 星期五
    作    者   : QingYang
    修改内容   : 创建文件

******************************************************************************/

#ifndef __USR_ADC_H__
#define __USR_ADC_H__

typedef void (*user_adc_cbk)(void);

#ifdef __cplusplus
#if __cplusplus
extern "C"{
#endif
#endif /* __cplusplus */

extern uint16_t get_adc_data(gpio_pin adc_pin);
extern uint16_t get_adc_volum(gpio_pin adc_pin,uint32_t up_rigister,uint32_t down_rigister);
extern uint16_t get_cell_data(void);
extern uint16_t get_cell_volum(void);
extern uint32_t get_dac_value(void);
extern void GPADC_IRQHandler(void);
extern void gpadc_irq_configuration(gpio_pin pin);
extern void gpio_dac_configuration(gpio_pin pin);

#ifdef __cplusplus
#if __cplusplus
}
#endif
#endif /* __cplusplus */


#endif /* __USR_ADC_H__ */
